package cn.fw.morax.domain.vo;

import cn.fw.morax.domain.vo.eval.EvalUserGroupRankVO;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : SelectorVO
 * @description : 绩效\薪酬池选项
 * @date : 2022-05-06 11:23
 */
@Data
@EqualsAndHashCode
@Builder
public class EvalSelectorVO {
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 名称
     */
    private String name;

    /**
     * 排名
     */
    private List<EvalUserGroupRankVO> ranks;

    public static EvalSelectorVO whit(Long postId, Long shopId, String shopName, String postName) {
        String name = shopName +
                " (" +
                postName +
                ") ";
        EvalSelectorVO vo = new EvalSelectorVO();
        vo.setShopId(shopId);
        vo.setPostId(postId);
        vo.setName(name);
        return vo;
    }

    public EvalSelectorVO() {
    }

    public EvalSelectorVO(String name, List<EvalUserGroupRankVO> ranks) {
        this.name = name;
        this.ranks = ranks;
    }
}
